### Constructor

# Gio UnixCredentialsMessage new_with_credentials

since: 2.26

#### Declaration

    GSocketControlMessage*
    g_unix_credentials_message_new_with_credentials (
      GCredentials* credentials
    )

#### Description

Creates a new `GUnixCredentialsMessage` holding `credentials`.

Available since: 2.26

#### Parameters

`credentials`

  Type: `GCredentials`

  A `GCredentials` object.

  The data is owned by the caller of the function.

#### Return value

Type: `GSocketControlMessage`

A new `GUnixCredentialsMessage`.

The caller of the function takes ownership of the data, and is responsible for freeing it.